# ifndef CPPAD_CORE_ARITHMETIC_HPP
# define CPPAD_CORE_ARITHMETIC_HPP
/* --------------------------------------------------------------------------
CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-17 Bradley M. Bell

CppAD is distributed under the terms of the
             Eclipse Public License Version 2.0.

This Source Code may also be made available under the following
Secondary License when the conditions for such availability set forth
in the Eclipse Public License, Version 2.0 are satisfied:
      GNU General Public License, Version 2.0 or later.
---------------------------------------------------------------------------- */

/*
-------------------------------------------------------------------------------
$begin Arithmetic$$
$spell
    Op
    const
$$



$section AD Arithmetic Operators and Compound Assignments$$

$childtable%
    include/cppad/core/unary_plus.hpp%
    include/cppad/core/unary_minus.hpp%
    include/cppad/core/ad_binary.hpp%
    include/cppad/core/compound_assign.hpp
%$$

$end
-------------------------------------------------------------------------------
*/
# include <cppad/core/unary_plus.hpp>
# include <cppad/core/unary_minus.hpp>
# include <cppad/core/ad_binary.hpp>
# include <cppad/core/compound_assign.hpp>

# endif
