# ifndef CPPAD_CORE_BOOL_VALUED_HPP
# define CPPAD_CORE_BOOL_VALUED_HPP
/* --------------------------------------------------------------------------
CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-18 Bradley M. Bell

CppAD is distributed under the terms of the
             Eclipse Public License Version 2.0.

This Source Code may also be made available under the following
Secondary License when the conditions for such availability set forth
in the Eclipse Public License, Version 2.0 are satisfied:
      GNU General Public License, Version 2.0 or later.
---------------------------------------------------------------------------- */

/*
$begin BoolValued$$
$spell
    Bool
$$


$section Bool Valued Operations and Functions with AD Arguments$$

$children%
    include/cppad/core/compare.hpp%
    include/cppad/core/near_equal_ext.hpp%
    include/cppad/core/bool_fun.hpp%
    include/cppad/core/con_dyn_var.hpp%
    include/cppad/core/equal_op_seq.hpp
%$$
$table
$rref Compare$$
$rref NearEqualExt$$
$rref BoolFun$$
$rref con_dyn_var$$
$rref EqualOpSeq$$
$tend


$end
*/

# include <cppad/core/compare.hpp>
# include <cppad/core/near_equal_ext.hpp>
# include <cppad/core/bool_fun.hpp>
# include <cppad/core/con_dyn_var.hpp>
# include <cppad/core/equal_op_seq.hpp>

# endif
