# ifndef CPPAD_CORE_CONVERT_HPP
# define CPPAD_CORE_CONVERT_HPP
/* --------------------------------------------------------------------------
CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-16 Bradley M. Bell

CppAD is distributed under the terms of the
             Eclipse Public License Version 2.0.

This Source Code may also be made available under the following
Secondary License when the conditions for such availability set forth
in the Eclipse Public License, Version 2.0 are satisfied:
      GNU General Public License, Version 2.0 or later.
---------------------------------------------------------------------------- */

/*
$begin Convert$$
$spell
$$


$section Conversion and I/O of AD Objects$$

$children%
    include/cppad/core/value.hpp%
    include/cppad/core/integer.hpp%
    include/cppad/core/ad_to_string.hpp%
    include/cppad/core/ad_io.hpp%
    include/cppad/core/print_for.hpp%
    include/cppad/core/var2par.hpp
%$$
$table
$rref Value$$
$rref Integer$$
$rref ad_output$$
$rref PrintFor$$
$rref Var2Par$$
$tend


$end
*/

# include <cppad/core/value.hpp>
# include <cppad/core/integer.hpp>
# include <cppad/core/ad_to_string.hpp>
# include <cppad/core/ad_io.hpp>
# include <cppad/core/print_for.hpp>
# include <cppad/core/var2par.hpp>

# endif
